#include "boot_gpio.h"

/**
  * @brief  Инициализация GPIO для бутлоадера
  */
void MX_BOOT_GPIO_Init(void)
{
  __RCC_LED_BOOT_CLK_ENABLE();  
  
  GPIO_InitTypeDef GPIO_InitStruct = {0};
  GPIO_InitStruct.Pin = LED_BOOT_Pin;
  GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;   // Push-Pull выход
  GPIO_InitStruct.Pull = GPIO_NOPULL;           // Без подтяжки
  GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;  // Низкая скорость
  HAL_GPIO_Init(LED_BOOT_GPIO_Port, &GPIO_InitStruct);

  for(int cnt = 0; cnt < 5; cnt++)
  {
    LED_BOOT_ON();
    for(int delay = 0; delay < 10000; delay++);
    LED_BOOT_OFF();
    for(int delay = 0; delay < 10000; delay++);
  }
}
